/* jshint esversion: 8 */

const argParser = require('./arg-parser');
const boomackClient = require('./client');

const argv = argParser.parse();
boomackClient.run(argv)
	.then(success => {
		process.exit(success ? 0 : 1);
	})
	.catch(err => {
		console.log("Unhandled exception: " + err.message);
		process.exit(2);
	});
